i.MX28 on Ubuntu13.10 - L2.6.35_1.1.0_130130 patch failed error

cancel
Showing results for 
Search instead for 
Did you mean: 

i.MX28 on Ubuntu13.10 - L2.6.35_1.1.0_130130 patch failed error

753 Views
Contributor II

Hi All,

I am trying to setup the LTIB environament for i.MX28 on Ubuntu13.10 - 64bit OS. I am able to create the ~/ltib directory, later when I am trying to apply the patch to make L2.6.35_1.1.0_130130 getting below mentioned patch failed error.

Kindly any one please help me, in resolving the issue and proceed the rest of LTIB environment setup process.

HP-Compaq-6200-Pro-MT-PC:~/imx28/ltib$ git apply 0001_make_L2.6.35_1.1.0_130130_compile_on_ubuntu_13.10_64bit_OS.patch

0001_make_L2.6.35_1.1.0_130130_compile_on_ubuntu_13.10_64bit_OS.patch:113: space before tab in indent.

     keygen.o

0001_make_L2.6.35_1.1.0_130130_compile_on_ubuntu_13.10_64bit_OS.patch:114: trailing whitespace.

0001_make_L2.6.35_1.1.0_130130_compile_on_ubuntu_13.10_64bit_OS.patch:115: trailing whitespace.

0001_make_L2.6.35_1.1.0_130130_compile_on_ubuntu_13.10_64bit_OS.patch:118: trailing whitespace.

0001_make_L2.6.35_1.1.0_130130_compile_on_ubuntu_13.10_64bit_OS.patch:119: trailing whitespace.

error: patch failed: dist/lfs-5.1/base_libs/base_libs.spec:296

error: dist/lfs-5.1/base_libs/base_libs.spec: patch does not apply

error: patch failed: dist/lfs-5.1/elftosb/elftosb.spec:9

error: dist/lfs-5.1/elftosb/elftosb.spec: patch does not apply

error: patch failed: dist/lfs-5.1/lkc/lkc.spec:19

error: dist/lfs-5.1/lkc/lkc.spec: patch does not apply

error: patch failed: dist/lfs-5.1/mux_server/mux_server.spec:22

error: dist/lfs-5.1/mux_server/mux_server.spec: patch does not apply

error: patch failed: dist/lfs-5.1/ncurses/ncurses.spec:31

error: dist/lfs-5.1/ncurses/ncurses.spec: patch does not apply

error: pkgs/elftosb-2.6.35.3-1385779630.patch: already exists in working directory

error: pkgs/elftosb-2.6.35.3-1385779630.patch.md5: already exists in working directory

error: pkgs/lkc-1.4-lib.patch: already exists in working directory

error: pkgs/lkc-1.4-lib.patch.md5: already exists in working directory

schneider@schneider-HP-Compaq-6200-Pro-MT-PC:~/imx28/ltib$

Labels (2)
0 Kudos
6 Replies

14 Views
NXP Employee
NXP Employee

In response to the original discussion about the issue to apply the $ git apply 0001_make_L2.6.35_1.1.0_130130_compile_on_ubuntu_13.10_64bit_OS.patch.

The patch is coming from this thread: Compile L2.6.35_1.1.0_130130 for i.MX28 on Ubuntu 13.10 64bit OS

It looks like the patch has been applied previously to the LTIB environment.  In the log, there are errors complaining the existence of these two files.

error: pkgs/elftosb-2.6.35.3-1385779630.patch: already exists in working directory

error: pkgs/elftosb-2.6.35.3-1385779630.patch.md5: already exists in working directory

The above two files are coming from 0001_make_L2.6.35_1.1.0_130130_compile_on_ubuntu_13.10_64bit_OS.patch.

Thus, please only applied the patch once to a newly created L2.6.35_1.1.0_130130 LTIB environment for i.MX28.

0 Kudos

14 Views
Contributor III

My ubuntu version is 14.04, thus the patch above should be correct for installing linux target image builder.

lsb_release -a

No LSB modules are available.

Distributor ID: Ubuntu

Description: Ubuntu 14.04.1 LTS

Release: 14.04

Codename: trusty

unziping and running git apply, mention the patch is not valid. I can't install ltib and thus not able to download linaro BSP onto my imx6. Please kindly assist.

git apply 0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:106: trailing whitespace.

%patch1 -p1

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:144: trailing whitespace.

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:164: trailing whitespace.

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:166: trailing whitespace.

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:169: trailing whitespace.

error: patch failed: dist/lfs-5.1/base_libs/base_libs.spec:296

error: dist/lfs-5.1/base_libs/base_libs.spec: patch does not apply

alvin@ubuntu:~/ltib/ltib$ git apply 0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:106: trailing whitespace.

%patch1 -p1

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:144: trailing whitespace.

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:164: trailing whitespace.

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:166: trailing whitespace.

0001_make_L3.0.35_4.1.0_compile_on_Ubuntu_14.04_64bit_OS.patch:169: trailing whitespace.

error: patch failed: dist/lfs-5.1/base_libs/base_libs.spec:296

error: dist/lfs-5.1/base_libs/base_libs.spec: patch does not apply

Please kindly assist

0 Kudos

14 Views
NXP Employee
NXP Employee
0 Kudos

14 Views
Senior Contributor IV

Arise

This discussion is closed since no activity. If you still need help, please feel free to reply with an update to this discussion, or create another discussion.

Thanks,

Yixing

0 Kudos

14 Views
Senior Contributor IV

Arise

We have not got your response yet and will close the discussion in 3 days. If you still need help, please feel free to reply with an update to this discussion.

Thanks,

Yixing

0 Kudos

14 Views
Senior Contributor IV

Arise

We are sorry for getting back to you so late. Are you still stuck with the issue? If you have somehow resolved the issue, can we close the discussion? If you still need help, please feel free to reply with an update to this discussion.

Thanks,

Yixing

0 Kudos